Subject: [manet] Preliminary comment on draft-wakikawa-manet-globalv6-00.txt

From: "Phil Neumiller" <[email-masked]>
Date: Thu, 25 Apr 2002 11:27:42 -0400

NOTE: This comment has been cross posted to NEMO/MANET, so be careful with
responses.

The draft draft-wakikawa-manet-globalv6-00.txt advocates adding an M-bit to the
router solicitation message which allows source IPv6 DAD'd addresses for link
local addresses to be forwarded over a MANET to an Internet gateway.

Rather than mucking with the solicitation and advertisements, an alternative might be
the following.  At least this seems to work for me.

1).  Allow the host to own a globally routable MIPv6 home address (possibly with its
      own DNS entry).
2).  The mobile MUST use this home address when forming a MANET.
3).  The mobile MUST be a MIPv6 client.
4).  In the mobile's HA coverage area, assuming a set of fixed MANET wireless routers
      supply this, the node will be reachable.
5).  When the node wanders to a foreign MANET coverage area with a different subnet,
      it may acquire a COA from DHCPv6, and be routable on that MANET subnet under
      that gateway.
6).  Let's postpone the inevitable security discussion for the moment.

It seems to me, that this has the desired effect of global connectivity for MANETs, does
not require any new messages, can be built today, and solves the NEMO problem as
well as the MANET global connectivity problem.  But then again, I could be missing
something.  Gentlefolk, start your flame throwers!!!

Thanks,

Phil Neumiller

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Phil Neumiller" <[email-masked]>
Date: Thu, 25 Apr 2002 13:42:13 -0400

> I don't think this is acceptable, nor in the spirit of IPv6 address
> autoconfiguration.  I have always thought that any IPv6 node should
> be able to use any address that it can successfully (and correcctly)
> configure.

Aaaw, why not?  It seems that *if* the MN has this MIPv6 home address in its
hip pocket doing nothing, it COULD be used for MANET addressing since it
is guaranteed to be unique.  NOTE:  I am not suggesting precluding the 
autoconfigured address, just suggesting the use of the MIPv6 home address as
a viable option.
> What if it doesn't want to use its home address, and just wants
> to use a fixed address in the foreign domain that happens to be
> extended at some wireless access point into an ad hoc network?

Yes, and that is LIKELY to be be COA *if* the MN is indeed a MIPv6 client
right?  Furthermore, the COA is likely to be gotten from DHCPv6 right?

> > 4).  In the mobile's HA coverage area, assuming a set of fixed MANET
> >      wireless routers supply this, the node will be reachable.
> 
> I could not quite parse this.  I guess it supposes that there is a
> home agent with a wireless interface.  I also guess that you are
> setting the stage for (5).

For NEMO:
My assumption is that you either have a mobile network with a gateway node
that speaks MANET on the inside and MAY speak OSPF or BGP (throwing
Jim a bone) on the outside of the NEMO.  Alternatively, it may simply be a
BOOTp/DHCP relay that acquires its address from DHCPv6 and routes packets
to the MANET inside the NEMO.

Either way you slice that it comes out allowing global connectivity of the MNNs
or MNs or whatever you want to call the hosts.  BTW, we should also consider
the situation where the transceiver (assuming wireless) has its own IP address
(MANET routable) and the host either has the MIPv6 home address or COA.

> Ahh!  Finally we have total agreement :-)

Except for the fact that I like the idea of using the COA as the MANET routing address as
well...

> 
> It is our purpose to provide for stateless autoconfiguration
> as well as stateful autoconfiguration.  So, I reckon that
> both have to be specified.  I also guess that eventually we
> will need some pretty simple text about DHCPv6 operation in
> the Globalv6 draft.

OK, so what you are saying is that M-bit is still needed for stateless autoconfiguration.
What is the advantage of stateless autoconfiguraion to a MANET?  Isn't DaD going to
be a lot harder?  Also, it seems that when the MN is handing off between domains it
may have to go into an expanded ring search.  This is pretty yucky for smooth/seamless/
soft/fluffy handovers.  I prefer my stateful method for this reason for MANET's that 
provide infrastructures.  What say you?

---

From: "Phil Neumiller" <[email-masked]>
Date: Thu, 25 Apr 2002 13:42:13 -0400

For NEMO:

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 25 Apr 2002 08:59:53 -0700

Hello Phil,

You can use "[email-masked]", but "[email-masked]"
probably didn't work...

> 1).  Allow the host to own a globally routable MIPv6 home address (possibly with its

Surely, this is always allowed, even preferred.

> something.  Gentlefolk, start your flame throwers!!!

... darn, mine wouldn't start ...   Got any gas?

Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 25 Apr 2002 08:59:53 -0700

Hello Phil,

Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 25 Apr 2002 11:20:46 -0700

Hello Phil,

> autoconfigured address, just suggesting the use of the MIPv6 home address as

I certainly agree that it should be a viable, and even preferred, option.
I was only reacting to your "MUST".

> right?  Furthermore, the COA is likely to be gotten from DHCPv6 right?

I agree with your first statement.  More on the second one down below.

> to the MANET inside the NEMO.

This is all fine with me.

> (MANET routable) and the host either has the MIPv6 home address or COA.

This is also all fine with me.

>>> 5).  When the node wanders to a foreign MANET coverage area with a different
>>>      subnet, it may acquire a COA from DHCPv6, and be routable on that MANET
>>>      subnet under that gateway.
>>
> Except for the fact that I like the idea of using the COA as the MANET
> routing address as well...

Of course, I like this idea also!  In fact, if the mobile node has a
care-of address and is using Mobile IP, then this is almost definitional.

> What is the advantage of stateless autoconfiguraion to a MANET?

The advantage is that it can work completely without infrastructure,
including without DHCP.  I think that DHCP is infrastructure.

>                                  Isn't DaD going to  be a lot harder?

Well, it's certainly a lot more error-prone.  But since we're expecting
it to be unnecessary with probability (1 - 2^(-64)), the problem is not
SO severe as it might be otherwise.  And, DAD will work whenever the
network can reasonably support it (by, for instance, being connected).

>             Also, it seems that when the MN is handing off between domains it

It could well be that stateful is better in many situations, but that
is a lot different than saying it has to be mandated in all situations.
And, I still like the idea of infrastructureless operation.  What happens
when such an infrastructureless network finally makes contact with a
gateway?  Here, it's debatable about what to do with applications that
are already running using an address which was statelessly autoconfigured
before the contact was made.  DHCP almost certainly can't be the whole answer.

Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 25 Apr 2002 11:20:46 -0700

Hello Phil,

Regards,
Charlie P.

---

From: "Phil Neumiller" <[email-masked]>
Date: Thu, 25 Apr 2002 14:45:24 -0400

> Charles E. Perkins wrote:
> gateway? 

Here is where we differ.  We could make it a MUST to be a MIPv6
client to be globally connectable and NEMO'able (I can hear the moans!).
If we did that... then when MNs are operating in an infrastructureless
MANET, they simply use their MIPv6 home addresses for their address.
Now when this infrastructureless MN wanders into its home network its 
all ready to route both as a MANET node and as a MIPv6 client.
If it happens to wander into a foreign network, it by definition MUST acquire
its COA, and it must now route MANET wise with the COA rather than
the home address.  Did I mention DHCP anywhere here? :-)  DHCPCOULD
be used to acquire the COA and that would be convenient.  Howz that
sound?

---

From: "Phil Neumiller" <[email-masked]>
Date: Thu, 25 Apr 2002 14:45:24 -0400

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 25 Apr 2002 12:32:34 -0700

Hello Phil,

> be used to acquire the COA and that would be convenient.  Howz that

If you can sell it, then it's fine with me.  The more Mobile IPv6,
the better.  However, I think it is very helpful to understand at
a very deep level that address autoconfiguration is different than
Mobile IPv6, and also that Internet Gateway operation for mobile ad-hoc
networks is also different than Mobile IPv6.  Similarly, I would be
very leery of making extensions to Mobile IPv6 to support ad hoc
networks.  I wouldn't categorically reject the idea, but it would
require a lot of justification.

Plus, my example about transient connection to the Internet by a
previously autoconfigured ad-hoc network needs to fit into whatever
scheme is eventually devised.

Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 25 Apr 2002 12:32:34 -0700

Hello Phil,

Regards,
Charlie P.

---

From: Ryuji Wakikawa<[email-masked]>
Date: Thu, 25 Apr 2002 09:10:35 +0000

Hi Phil and Charlie.

At Thu, 25 Apr 2002 13:42:13 -0400,
> autoconfigured address, just suggesting the use of the MIPv6 home address as

We never disregard MIP6 in the draft, we've mentioned the operation of
MIP6 in Appendix. But we do not want to force MIP6. This looks more
like operational issue (someone may not want to use MIP6 on MANET) .

> right?  Furthermore, the COA is likely to be gotten from DHCPv6 right?

What is the difference between COA and autoconfigured IPv6 address?
If node is MIP6 capable node, the address can be called COA. If the
node is not MIP6 capable, the address can be called IPv6 autoconfigured address.
There is no quite difference for these address to me.

> (MANET routable) and the host either has the MIPv6 home address or COA.

We do not limit adduress acquiring method (just use DHCP) on MANET.
In the draft, we present two way to aquire global address from Gateway.
So DHCP will be third possible way, but DHCP need additional server on MANET.
But I think some documents will be needed as Charlie said.

We expect nodes to access gateway before it sending packets to the
Internet. Then gateway can examine whether the destination is locates
in MANET or in the Internet. 
see section 9.1 "Route examination during communciation".

When node discover gateway, gateway records node's reverse route at the same time.
If we use BOOTp/DHCP, how can gateway record its reverse route?

> provide infrastructures.  What say you?

For address aquisition, DAD will be done for link-local address by
draft-ietf-manet-autocon-01.txt.  So we may eliminate DAD operation
for global address, if global address is generated by global prefix
and host ID(EUI64). 

regards, 
ryuji

---

From: Ryuji Wakikawa<[email-masked]>
Date: Thu, 25 Apr 2002 09:10:35 +0000

Hi Phil and Charlie.

regards, 
ryuji

---

From: Guillaume Chelius <[email-masked]>
Date: Fri, 26 Apr 2002 12:07:53 +0200 (CEST)

Hello, 

How does a node knows which of its interfaces are in "ad hoc mode" ? A node with
several network interfaces may want only a subset of them to work as ad hoc
interfaces (the case of ad hoc network gateways). To me, the process of flooding
an ad hoc network requires a node to know which of its interfaces are ad hoc
ones. A solution that we propose in IPv6 could be to associate a particular
scope (subnet scope for example) with an ad hoc network and to give all ad hoc
interfaces of a given node the same scope index.

Thanks, 
Guillaume Chelius.

-----------------
Guillaume Chelius
PhD student
Ares Team, Inria, Citi Insa-Lyon
Tel: (+33) 472 436 421
Email: [email-masked]

---

From: Guillaume Chelius <[email-masked]>
Date: Fri, 26 Apr 2002 12:07:53 +0200 (CEST)

Hello, 

Thanks, 
Guillaume Chelius.

-----------------
Guillaume Chelius
PhD student

---

From: Anders Nilsson <[email-masked]>
Date: Thu, 25 Apr 2002 18:29:38 +0200

Hello Phil! (and Charlie)

What Charlie writes is mentioned briefly in appendix B of the draft.

>be able to use any address that it can successfully (and correcctly)
If the node upon startup doesn't have any availble permanent address, 
(such as a
Mobile IPv6 address), we propose that node can configure a temporary address
by using the MANET_INITIAL_PREFIX during the aquisition of the global 
address.

regards,

Anders N

---

From: Anders Nilsson <[email-masked]>
Date: Thu, 25 Apr 2002 18:29:38 +0200

regards,

Anders N